Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.monitor.api
Interface MonitorServer

All Known Subinterfaces:
  HttpMonitorServer

    public interface MonitorServer

This `MonitorServer` is used to offer some general interface methods of Monitor Server.

Method Summary
`Member[]` | `getClusteredServers()` Gets all the servers that have joined to the cluster.
`java.lang.String` | `getClusterName()` Gets the cluster name.
`MonitorService` | `getMonitorService(java.lang.String host, int port)` Gets a reference of `MonitorService` instance, which has been created to provide monitor service for the specified Report Server.
`MonitorSetting` | `getMonitorSettings()` Gets a `MonitorSetting` reference.
`Member[]` | `getPredefinedServers()` Deprecated. since v10
`ServerStatus` | `getServerStatus(java.lang.String host, int port)` Gets `ServerStatus` information of the specified Report Server.
`UserSessionManager` | `getUserSessionManager()` Gets a reference of `UserSessionManager` instance.
`void` | `init(java.util.Properties props)` Initializes parameters setting of Monitor Server.
`boolean` | `isCluster()` Judges whether or not the monitored admin server is in a server cluster.
`boolean` | `isStarted()` Judges whether or not the Monitor Server has been started.
`boolean` | `isStarted(java.lang.String host, int port)` Judges whether or not the specified Report Server is started.
`boolean` | `isStarting(java.lang.String host, int port)` Judges whether or not the specified Report Server is starting.
`void` | `restart(java.util.Properties props)` Restarts the Monitor Server according to the specified properties.
`void` | `setUserSessionManager(UserSessionManager usMan)` Sets `UserSessionManager` to current Monitor Server.
`void` | `shutdown()` Stops all monitors and exits the Monitor Server.
`void` | `start()` Starts up the Monitor Server after it has been initialized.
`void` | `stopServer(java.lang.String host, int port)` Stops the specified Report server from Monitor Server.

Method Detail

### init

    void init(java.util.Properties props)

  Initializes parameters setting of Monitor Server. This method must be called after Monitor Server object is created.

  Parameters:
    `props` - The initialization parameter properties of Monitor Server.

### start

    void start()

  Starts up the Monitor Server after it has been initialized.

### isStarted

    boolean isStarted()

  Judges whether or not the Monitor Server has been started.

  Returns:
    true If the Monitor Server has been started, else return false.

### restart

    void restart(java.util.Properties props)

  Restarts the Monitor Server according to the specified properties.

  Parameters:
    `props` - The specified properties for restarting the Monitor Server.

### shutdown

    void shutdown()

  Stops all monitors and exits the Monitor Server.

### getMonitorService

    MonitorService getMonitorService(java.lang.String host,
                                     int port)

  Gets a reference of `MonitorService` instance, which has been created to provide monitor service for the specified Report Server.

  Parameters:
    `host` - The host IP address of the computer in which the monitored Report Server is located.
    `port` - The port number which is specified to the monitored Report Server.
  Returns:
    a `MonitorService` reference, which has been created to offer monitor service for the specified Report Server.

### isCluster

    boolean isCluster()

  Judges whether or not the monitored admin server is in a server cluster.

  Returns:
    true, if there has been a server cluster related to the given admin server, or else return false.

### getClusterName

    java.lang.String getClusterName()

  Gets the cluster name.

  Returns:
    The cluster name.
  Since:

### getPredefinedServers

    Member[] getPredefinedServers()

  Deprecated. since v10

  Gets all the servers that have been predefined and added to the cluster.

  Returns:
    A `Member` array that contains all the predefined servers.

### getClusteredServers

    Member[] getClusteredServers()

  Gets all the servers that have joined to the cluster.

  Returns:
    A `Member` array that contains all active clustered servers.

### isStarted

    boolean isStarted(java.lang.String host,
                      int port)

  Judges whether or not the specified Report Server is started.

  Returns:
    true, if the specified Report Server has been started, or else return false.

### isStarting

    boolean isStarting(java.lang.String host,
                       int port)

  Judges whether or not the specified Report Server is starting.

  Returns:
    true, if the specified Report Server is starting now, or else return false.

### getServerStatus

    ServerStatus getServerStatus(java.lang.String host,
                                 int port)

  Gets `ServerStatus` information of the specified Report Server.

  Parameters:
    `host` - The host IP address of the computer in which the specified Report Server is located.
    `port` - The port number which is specified to the Report Server.
  Returns:
    A reference of `ServerStatus` instance.

### getUserSessionManager

    UserSessionManager getUserSessionManager()

  Gets a reference of `UserSessionManager` instance.

  Returns:
    A `UserSessionManager` reference.

### setUserSessionManager

    void setUserSessionManager(UserSessionManager usMan)

  Sets `UserSessionManager` to current Monitor Server.

  Parameters:
    `usMan` - the `UserSessionManager` instance.

### getMonitorSettings

    MonitorSetting getMonitorSettings()

  Gets a `MonitorSetting` reference.

  Returns:
    a `MonitorSetting` reference.

### stopServer

    void stopServer(java.lang.String host,
                    int port)

  Stops the specified Report server from Monitor Server.

  Parameters:
    `host` - The host IP address of the computer in which the specified Report Server is located.
    `port` - The port number which is specified to the Report Server.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD